- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: fd0ee1c0-ddfb-4e96-ba3a-945f90b38876
    creation_time: 2023-02-17T12:06:46.693220Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/half_2.i
      input_file_hashes:
        c/loop-invgen/half_2.i: 0b362a98d328467ff4a069dbed2be3429090ca070e60d49c76297e4bb94402b7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/half_2.i
    file_hash: 0b362a98d328467ff4a069dbed2be3429090ca070e60d49c76297e4bb94402b7
    line: 30
    column: 0
    function: main
  loop_invariant:
    string: 2*k+i == 2*n &&  ( i <= n+1 || n < 0 ) 
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 30464f88-6012-4417-b171-67ba5f4cb784
    creation_time: 2023-02-17T12:06:46.693452Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/half_2.i
      input_file_hashes:
        c/loop-invgen/half_2.i: 0b362a98d328467ff4a069dbed2be3429090ca070e60d49c76297e4bb94402b7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/half_2.i
    file_hash: 0b362a98d328467ff4a069dbed2be3429090ca070e60d49c76297e4bb94402b7
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: j >= 0 &&  ( n-1 <= 2*j+2*k && 2*j+2*k <= n || n < 0 ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 9db7e7c9-555b-4634-b509-e31dcb800b94
    creation_time: 2023-02-17T12:06:46.693660Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/half_2.i
      input_file_hashes:
        c/loop-invgen/half_2.i: 0b362a98d328467ff4a069dbed2be3429090ca070e60d49c76297e4bb94402b7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/half_2.i
    file_hash: 0b362a98d328467ff4a069dbed2be3429090ca070e60d49c76297e4bb94402b7
    line: 36
    column: 0
    function: main
  location_invariant:
    string: k > 0
    type: assertion
    format: C

